6.0.0-git
2021-10-21

[#2113] jpegs attached as multipart/appledouble do not display correctly
Summary jpegs attached as multipart/appledouble do not display correctly
Queue IMP
Queue Version 4.0.3
Type Bug
State Not A Bug
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester simon (at) widgit (dot) com
Created 2005-06-09 (5978 days ago)
Due
Updated 2005-10-26 (5839 days ago)
Assigned 2005-06-28 (5959 days ago)
Resolved 2005-10-26 (5839 days ago)
Milestone
Patch No

History
2005-10-26 07:10:09 Michael Slusarz Comment #6
State ⇒ Not A Bug
Reply to this comment
See Bug 1863 and Bug 1866.  This bug will be resolved when those bugs 
are resolved.
2005-06-28 08:04:35 Jan Schneider Comment #5
State ⇒ Assigned
New Attachment: appledouble.png Download
Reply to this comment
Maybe a screenshot helps. As you can see from the shot, there is no 
way to open the complete image in the original size.
2005-06-28 05:23:06 Michael Slusarz Comment #4 Reply to this comment
I guess I am really unclear about what else is *supposed* to be 
displayed here.  Since we really can't display the MIME structure is 
some sort of nice tree displahy at this time (there is a separate bug 
for this), I'm not sure what the issue is here.
2005-06-14 08:27:58 Jan Schneider Comment #3 Reply to this comment
It doesn't for me. I only get the preview and fork links.
2005-06-14 00:15:43 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment
Works for me.  I click on "HERE" and I get a jpeg graphic with a heart 
and some fish that says communicate by choice.
2005-06-09 09:04:44 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2005-06-09 08:51:02 simon (at) widgit (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ jpegs attached as multipart/appledouble do not display correctly
Queue ⇒ IMP
New Attachment: appledouble.txt Download
Reply to this comment
Users on my horde installation are having trouble getting images from 
people with macs...



Basically, what happens is that the attachment comes through as 
multipart/appledouble and two messages are displayed underneath in the 
attachment section.



The first says:

"This message contains a Macintosh file.

The Macintosh resource fork can be downloaded HERE.

The contents of the Macintosh file are below."



Clicking on 'HERE' downloads a file with the correct filename, but is 
way too small and doesn't work.



Underneath, the following message is displayed:

"A large image named communicate by choice.jpg is attached to this message.

Click HERE to view a thumbnail of this image."



You can click 'HERE' to view the thumbnail. However, there is no 
option to view the full-sized image. I've tried clicking on the 'zip' 
icon in the header for the multipart/mimedouble section, but that just 
downloads the raw mime section with base64 encoded attachments, as a 
text file.



There appears no way to get the full-sized image. (Apart from emailing 
the sender and asking them to zip the file before sending it.)

Saved Queries